Package tigase.kernel

## Class BeanUtils

- java.lang.Object
- - tigase.kernel.BeanUtils

-     public class BeanUtils
      extends java.lang.Object

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static java.lang.reflect.Field[]` | `getAllFields​(java.lang.Class<?> klass)` |
    `static java.lang.reflect.Method[]` | `getAllMethods​(java.lang.Class<?> klass)` |
    `static java.lang.reflect.Field` | `getField​(BeanConfig bc, java.lang.String fieldName)` |
    `static java.lang.reflect.Type` | `getGetterSetterMethodsParameterType​(java.lang.reflect.Field f)` |
    `static java.lang.Object` | `getValue​(java.lang.Object fromBean, java.lang.reflect.Field field)` |
    `static java.lang.String` | `prepareAccessorMainPartName​(java.lang.String fieldName)` |
    `static java.lang.reflect.Method` | `prepareGetterMethod​(java.lang.reflect.Field f)` |
    `static java.lang.reflect.Method` | `prepareSetterMethod​(java.lang.reflect.Field f)` |
    `static java.lang.reflect.Method` | `prepareSetterMethod​(java.lang.reflect.Field f, java.lang.Class type)` |
    `static java.util.ArrayList<java.lang.reflect.Method>` | `prepareSetterMethods​(java.lang.Class<?> destination, java.lang.String fieldName)` |
    `static void` | `setValue​(java.lang.Object toBean, java.lang.reflect.Field field, java.lang.Object valueToSet)` |
    `static void` | `setValue​(java.lang.Object toBean, java.lang.String fieldName, java.lang.Object valueToSet)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getAllFields

          public static java.lang.reflect.Field[] getAllFields​(java.lang.Class<?> klass)

    - #### getAllMethods

          public static java.lang.reflect.Method[] getAllMethods​(java.lang.Class<?> klass)

    - #### getField

          public static java.lang.reflect.Field getField​(BeanConfig bc,
                                                         java.lang.String fieldName)

    - #### getGetterSetterMethodsParameterType

          public static java.lang.reflect.Type getGetterSetterMethodsParameterType​(java.lang.reflect.Field f)

    - #### getValue

          public static java.lang.Object getValue​(java.lang.Object fromBean,
                                                  java.lang.reflect.Field field)
                                           throws java.lang.IllegalAccessException,
                                                  java.lang.IllegalArgumentException,
                                                  java.lang.reflect.InvocationTargetException

      Throws:
        `java.lang.IllegalAccessException`
        `java.lang.IllegalArgumentException`
        `java.lang.reflect.InvocationTargetException`

    - #### prepareAccessorMainPartName

          public static java.lang.String prepareAccessorMainPartName​(java.lang.String fieldName)

    - #### prepareGetterMethod

          public static java.lang.reflect.Method prepareGetterMethod​(java.lang.reflect.Field f)

    - #### prepareSetterMethod

          public static java.lang.reflect.Method prepareSetterMethod​(java.lang.reflect.Field f)

    - #### prepareSetterMethod

          public static java.lang.reflect.Method prepareSetterMethod​(java.lang.reflect.Field f,
                                                                     java.lang.Class type)

    - #### prepareSetterMethods

          public static java.util.ArrayList<java.lang.reflect.Method> prepareSetterMethods​(java.lang.Class<?> destination,
                                                                                           java.lang.String fieldName)

    - #### setValue

          public static void setValue​(java.lang.Object toBean,
                                      java.lang.reflect.Field field,
                                      java.lang.Object valueToSet)
                               throws java.lang.IllegalAccessException,
                                      java.lang.IllegalArgumentException,
                                      java.lang.reflect.InvocationTargetException

      Throws:
        `java.lang.IllegalAccessException`
        `java.lang.IllegalArgumentException`
        `java.lang.reflect.InvocationTargetException`

    - #### setValue

          public static void setValue​(java.lang.Object toBean,
                                      java.lang.String fieldName,
                                      java.lang.Object valueToSet)
                               throws java.lang.IllegalAccessException,
                                      java.lang.IllegalArgumentException,
                                      java.lang.reflect.InvocationTargetException,
                                      java.lang.NoSuchMethodException

      Throws:
        `java.lang.IllegalAccessException`
        `java.lang.IllegalArgumentException`
        `java.lang.reflect.InvocationTargetException`
        `java.lang.NoSuchMethodException`